package com.zanxiang.sdk.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-11-10
 * @description : 回传系统类型
 */
@Getter
@AllArgsConstructor
public enum OsTypeEnum {

    /**
     * android
     */
    OS_ANDROID(1, "android"),

    /**
     * ios
     */
    OS_IOS(2, "ios"),

    /**
     * windows
     */
    OS_WINDOWS(3, "windows"),

    /**
     * mac
     */
    OS_MAC(4, "mac"),

    /**
     * 其他
     */
    OS_OTHER(0, "其他");

    /**
     * 数据类型
     */
    private Integer osType;

    /**
     * 描述
     */
    private String name;

    /**
     * 得到名字
     *
     * @param name 操作系统类型
     * @return {@link OsTypeEnum}
     */
    public static Integer getByName(String name) {
        for (OsTypeEnum osTypeEnum : OsTypeEnum.values()) {
            if (Objects.equals(name, osTypeEnum.getName())) {
                return osTypeEnum.getOsType();
            }
        }
        return null;
    }

}
